import csv

def ReadData_lst():
    """
            Data set in a List object
    """
    RawData = [ ['City',     'Temperature', 'Latitude'], 
                ['Sapporo',     15,             43.1],
                ['Sendai',      20,             38.3],
                ['Niigata',     17,             37.9],
                ['Kanazawa',    18,             36.6],
                ['Tokyo',       24,             35.7], 
                ['Osaka',       22,             34.7],
                ['Fukuoka',     22,             33.6],
                ['Kochi',       24,             33.6],
                ['Kagoshima',   23,             31.6],
                ['Naha',        26,             26.2]
    ]
    file_name = input('Output file name = ')
    f_out = open(file_name, 'w')

    return RawData, f_out, file_name


def ReadData_txt():
    """
            Data set in a text file
    """
    f_in_nm = input('Input data file = ')
    f_in = open(f_in_nm, 'r')
    f_data = f_in.readlines()
    pos = 0
    while True:
        if len(f_data[pos]) > 0:
            if f_data[pos][0] == '/':
                pos += 1
                break
        pos += 1

    RawData = []
    ck = 0
    while True:
        if f_data[pos][0] == '/':
            break
        t_str = f_data[pos].split()
        if ck == 0:
            RawData.append(t_str)
            ck = 1
        else:
            RawData.append([t_str[0], float(t_str[1]), float(t_str[2])])
        pos += 1
                
    file_name = input('Output file name = ')
    f_out = open(file_name, 'w')
    f_out.write('Input data = {}\n'.format(f_in_nm))

    return RawData, f_out, file_name


def ReadData_csv():
    """
            Data set in a csv file
    """
    f_in_nm = input('Input data file (*.csv) = ')
    with open(f_in_nm, 'r') as f:
        csv_data = [d for d in csv.reader(f)]

    RawData = []
    for i in range(len(csv_data)):
        if i == 0:
            RawData.append(csv_data[i])
        else:
            RawData.append([csv_data[i][0], float(csv_data[i][1]),
                        float(csv_data[i][2])])
    
    
    file_name = input('Output file name = ')
    f_out = open(file_name, 'w')
    f_out.write('Input data = {}\n'.format(f_in_nm))

    return RawData, f_out, file_name

    





